/*
 *
 * (c) Copyright 1992 by William R. Pringle - all rights reserved
 *
 *				**** GET CORE ****
 *
 * This routine allocates space for a string, copies it, and then returns
 *	the address of the new string.
 *
 */

#ifndef EOS
#define	EOS '\0'
#endif

#include <stdio.h>
#include <string.h>
#include <errno.h>

char *
getcore(str)
char	*str;
{			/* get memory for string or die */
	char *p;

	if (str == NULL) return NULL;
	if ((p = (char *) malloc((unsigned) strlen(str) + 1)) == NULL)
	{
		fprintf(stderr,"Internal error: Can't allocate space for >>%s<<\n", str);
		perror("getcore");
		exit(1);
	}

	strcpy(p,str);
	return p;
}
