/*
 *
 * (c) Copyright 1992 by William R. Pringle - all rights reserved
 *
 *				**** CLEAN UP ****
 *
 * This routine will clean up a string, eliminating CR-LF and ^Z
 * It will return the first non-blank character in the string
 *
 */

#include <ctype.h>

char *
clean_up(str)
char	*str;		/* input/output string */
{
	char *p;		/* temp ptr */

	for (p=str; *p != '\0' && *p != '\n' && *p != '\r' && *p != '\032'; p++);
	*p = '\0';
	for (p = str; isspace(*p); p++);
	return p;
}
